Wefax.exe loads and runs an EGA / Delanco-Spry TMS32010 board wefax
demodulator and display routines.  The files necessary for this operation
are

(1) wefax.exe
(2) intel.exe
(3) wefega.com
(4) wefdemod.hex


WEFAX.EXE runs the show.  It loads the demod program into the TMS32010
board and sets the sample timers.  It asks you whether or not you wish
to use NOAA standard or Meteor standard.  This demod is NOT an envelope
detector.  It is a PLL based coherent demod for BOTH NOAA and Meteor
satellites.  Ancient wisdom seems to be handed down that Meteor can't
be demodulated with a PLL.  This is foolishness.  The fact that the
modulation amplitude falls below 5% of max (for black) only means that
no phase error voltage to speak of will be generated during this time.
During those times when the modulation higher, the phase error will be
corrected.  Since these routines do a first order PLL and we know with
a few Hz what the frequency of the subcarrier is on both NOAA and Meteor,
the PLL will continue to advance the phase with the nominal frequency
of the corresponding subcarrier with minimal error SO LONG as you have the
frequency specified correctly.  Listen carefully to the Meteor satellites
and compare them to the tone that is being played out the D/A converter.
It is essential for best operation of the demod and sync that you have this
frequency nearly perfect. For example, I have found that Meteor 2-15 is
about 2440 to 2450 Hz and not either 2400 as is NOAA or 2500 Hz as the books
say Meteor should be.  If you have a foolish recorder (as I do) sometimes
you will need to specify a different frequency.  When wefax.exe starts up,
it loads wefdemod.hex into the TMS32010 board.  It starts it up at the default
frequency of 2400Hz.  It asks you if this should be changed.  (Remember the
tone is played out the D/A port).  Specify the new frequency (0 - 5000 Hz)
and it will be loaded in the program memory spot for the frequency on the
DSP card and then the program will be started.

After this wefax.exe will load the display program.  It is wefega.com.
You must have an ega monitor.  I have found the best results on a Monochrome
monitor with one of the multimonitor multimode cards such as the one I use,
the ATI EGA wonder.

The display program is very rudimentary and is quite tiny but has the
following commands available as keystroke commands during the display
procedure.

q       ==	quit
l	==	shift the picture left one pixel
r	==	shift the pixel right a couple of pixels
n	==	make the frame narrower
w	==	make the frame wider
s	==	toggle sync search
u	==	make the demod sample more significant
d	==	make the demod sample less significant
h	==	hold until a key is pressed

The way to use the sync is to press the w key until the picture is sliding
to the left about one pixel per frame.  For meteor satellites the sync tones
are just to the "left" of the grey scale.  For NOAA birds, best results come
with the visible frame on the left.  Once you have the sync patch near the
left edge, turn the volume up just below the place where the brightest color
jumps from high intensity white down to a darker color (it is being masked
off to make sure it is in the proper range).  This is quite crude and will
be replaced with an agc to take care of this once I have more time to play
with it.  Also, image enhancement is now possible since the pictures are
lined up properly.  This will follow agc.

All the source code is also here so make whatever mods you find appropriate
and tell me about them.

Bob
N4HY





